=== debian/changelog ===
node-dom4 (2.1.6+dfsg2+~2.0.2-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Mon, 09 May 2022 12:48:05 +0200

node-dom4 (2.1.6+dfsg2+~2.0.2-1) unstable; urgency=medium

  [ Yadd ]
  * Add ctype=nodejs to component(s)
  * Fix autopkgtest
  * Download from source, not from npm registry
  * Really embed typescript declarations

  [ Roland Mas ]
  * Fix description.
  * Upload to unstable.
  * Exclude source-less files from orig tarball.

 -- Roland Mas <lolando@debian.org>  Wed, 20 Apr 2022 17:19:37 +0200

node-dom4 (2.1.6+~cs2.0.2-1) unstable; urgency=medium

  * Initial release.
  * Include types component.

 -- Roland Mas <lolando@debian.org>  Wed, 09 Mar 2022 14:50:44 +0100
