=== debian/control ===
Source: node-dom4
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
Standards-Version: 4.6.0
Homepage: https://github.com/WebReflection/dom4
Vcs-Git: https://salsa.debian.org/js-team/node-dom4.git
Vcs-Browser: https://salsa.debian.org/js-team/node-dom4
Rules-Requires-Root: no

Package: node-dom4
Architecture: all
Depends:
 ${misc:Depends}
 ,
Provides: ${nodejs:Provides}
Description: Polyfill for new DOM Level 4 entries
 This is a fully tested and covered polyfill for both new DOM Level 4
 parentNode entries:
 .
  Element#prepend()
  Element#append()
 .
 And for new DOM Level 4 childNode entries:
 .
  Element#before()
  Element#after()
  Element#replaceWith() ( Element#replace() has been recently deprecated )
  Element#remove()
 .
 Node.js is an event-based server-side JavaScript engine.
