=== debian/watch ===
version=4
opts=\
ctype=nodejs,\
repacksuffix=+dfsg2,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-dom4-$1/ \
 https://github.com/WebReflection/dom4/tags .*/archive.*/v?([\d\.]+).tar.gz group

opts="searchmode=plain,component=types-dom4,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-dom4-$1/" \
 https://registry.npmjs.org/@types/dom4 https://registry.npmjs.org/@types/dom4/-/dom4-([\d\.]+)@ARCHIVE_EXT@ group
